ONVIF::Device::Elements::Fault(3)

NAME
ONVIF::Device::Elements::Fault

DESCRIPTION
Perl data type class for the XML Schema defined element Fault from the namespace http://schemas.xmlsoap.org/soap/envelope/.

METHODS

  new
 my $element = ONVIF::Device::Elements::Fault->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Fault
   faultcode =>  $some_value, # QName
   faultstring =>  $some_value, # string
   faultactor =>  $some_value, # anyURI
   detail =>  { # ONVIF::Device::Types::detail
   },
 },

AUTHOR
Generated by SOAP::WSDL